<template>
  <div>
    <b-alert
      v-for="(err, index) in non_field_errors"
      show
      :key="index"
      variant="danger"
      class="text-center"
    >{{ err }}</b-alert>
    <b-alert
      v-for="(err, index) in errors"
      show
      :key="index"
      variant="danger"
      class="text-center"
    >{{ err }}</b-alert>
    <p class="text-center">
      ¿Ya tienes usuario? Por favor, autentícate
      <span>
        <a href v-on:click.prevent="goToLogin()">aquí</a>
      </span>
    </p>
  </div>
</template>

<script>
import { mapActions } from "vuex";
export default {
  data() {
    return {
      form: {
        uid: null,
        token: null
      }
    };
  },
  computed: {
    errors() {
      let errors = [];
      for (const attr in this.form_invalid_feedback) {
        if (this.form_invalid_feedback[attr]) {
          errors.push(this.form_invalid_feedback[attr]);
        }
      }
      return errors;
    },
    token() {
      return this.$route.params.token;
    },
    uid() {
      return this.$route.params.uid;
    }
  },
  mounted() {
    this.doActivation();
  },
  methods: {
    ...mapActions({
      REGISTER_ACTIVATION: "auth/REGISTER_ACTIVATION"
    }),
    doActivation() {
      this.REGISTER_ACTIVATION({
        uid: this.uid,
        token: this.token
      }).then(
        () => {
          this.goToLogin();
        },
        res => {
          // TODO: Handle errors
          this.$putErrFeedback(res);
        }
      );
    }, // Del doRegister
    goToLogin() {
      this.$router.push({
        name: "login"
      });
    }
  } // Del methods
};
</script>
<style lang="scss" scoped>
</style>
